classification
Title: test_asyncio: test_pipe_handle() failed on AMD64 Windows7 SP1 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.9
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: vstinner, xtreak
Priority: normal Keywords:

Created on 2019-11-21 21:33 by vstinner, last changed 2020-02-10 23:25 by vstinner. This issue is now closed.

Messages (4)
msg357220 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-11-21 21:33
https://buildbot.python.org/all/#/builders/40/builds/3465

ERROR: test_pipe_handle (test.test_asyncio.test_windows_utils.PipeTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\buildbot.python.org\3.x.kloth-win64\build\lib\test\test_asyncio\test_windows_utils.py", line 78, in test_pipe_handle
    raise RuntimeError('expected ERROR_INVALID_HANDLE')
RuntimeError: expected ERROR_INVALID_HANDLE
msg357880 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-12-05 18:28
New failure on AMD64 Windows7 SP1 3.x:
https://buildbot.python.org/all/#/builders/81/builds/16

ERROR: test_pipe_handle (test.test_asyncio.test_windows_utils.PipeTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\buildbot.python.org\3.x.kloth-win64\build\lib\test\test_asyncio\test_windows_utils.py", line 78, in test_pipe_handle
    raise RuntimeError('expected ERROR_INVALID_HANDLE')
RuntimeError: expected ERROR_INVALID_HANDLE
msg357961 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-12-07 03:09
Similar past report : issue31007
msg361748 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-02-10 23:25
I didn't see the failure recently, I close the issue.
History
Date User Action Args
2020-02-10 23:25:57vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg361748

stage: resolved
2019-12-07 03:09:48xtreaksetnosy: + xtreak
messages: + msg357961
2019-12-05 18:28:11vstinnersetmessages: + msg357880
2019-11-21 21:33:07vstinnercreate